<?
define('PROTECTOR', 1);

$headmod = 'adm_panel';//фикс. места

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Сохранение';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');



switch($_GET[mod]){

default:

if($udata[activ]==on){echo'<div class="info">Вы уже схранены!</div>'; include($path.'files/down.php');exit;}
if($udata[lvl]==0){echo'<div class="info">Еще рано!</div>'; include($path.'files/down.php');exit;}

if($udata[activ]==off){if($udata[lvl]>0){echo'<a href="/save.php?mod=1">Схранить персонажа</a>'; include($path.'files/down.php');exit;}}


break;


case '1':

if($udata[activ]==on){echo'<div class="info">Вы уже схранены!</div>'; include($path.'files/down.php');exit; }
if($udata[lvl]==0){echo'<div class="info">Еще рано!</div>'; include($path.'files/down.php');exit;}

if($udata[activ]==off){if($udata[lvl]>0){



if(empty($_POST[newname])){
echo '<div class="main"><center><form action="save.php?mod=1" method="post">';
echo"Логин(Лат. буквы и цифры)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"newname\"/><br/>";

echo "Сторона:<br/>
<select name=\"storona\">
<option value=\"white\">Синие</option>
<option value=\"black\">Красные</option>
</select><br/>";


echo "Пол:<br/>
<select name=\"pol\">
<option value=\"m\">Мужской</option>
<option value=\"w\">Женский</option>
</select><br/>";


echo"Пароль(6-32)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"newpass\"/><br/>";


echo"Еще раз<br/>
<input class='input' type=\"text\" size=\"10\" name=\"newpass2\"/><br/>";

echo'Ваш E-Mail <small></small><br><input class="text" type="text" size="10" name="email" maxlength="50">';



echo '<br><input class="button" type="submit" value="Сохранить" /></form></center></div>';
}else{

$_POST[newname] = addslashes("$_POST[newname]");
$_POST[newname] = htmlspecialchars($_POST[newname]);
$_POST[storona] = addslashes("$_POST[storona]");
$_POST[storona] = htmlspecialchars($_POST[storona]);
$_POST[newpass] = addslashes("$_POST[newpass]");
$_POST[newpass] = htmlspecialchars($_POST[newpass]);
$_POST[newpass2] = addslashes("$_POST[newpass2]");
$_POST[newpass2] = htmlspecialchars($_POST[newpass2]);
$_POST[pol] = addslashes("$_POST[pol]");
$_POST[pol] = htmlspecialchars($_POST[pol]);
$_POST[email] = addslashes("$_POST[email]");       
$_POST['email'] = htmlspecialchars($_POST['email']);
$email = $_POST['email'];






$tkr = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[newname]'");
$tkr=mysql_num_rows($tkr);
$temn = mysql_query("SELECT * FROM `users` WHERE `email` = '$_POST[email]'");
$tem=mysql_num_rows($temn);
if($_POST[newname] == "")
{
echo "Вы оставили пустое поле!<br/>";
echo "<a href=\"save.php\">Назад</a>"; include($path.'files/down.php');exit;
}
elseif (strlen($_POST[newname])>10){echo"Длина ника превышает 10 символов!<br />"; include($path.'files/down.php');exit;}
elseif (strlen($_POST[newname])<3){echo"Длина ника меньше 3 символов!<br />"; include($path.'files/down.php');exit;}
elseif (strlen($_POST[newpass])>32){echo"Длина пароля превышает 32 символов!<br />"; include($path.'files/down.php');exit;}
elseif (strlen($_POST[newpass])<6){echo"Длина пароля меньше 6 символов!<br />"; include($path.'files/down.php');exit;}

elseif (preg_match("/[0-9a-z_]+@[0-9a-z_^\.]+\.[a-z]{2,3}/i", $_POST['email']) == 0 ){
echo'<div class="block_zero center">Не правильно введён e-mail!</div></div><div class="line"></div></div>';
echo'<div class="block_zero center"><a href="reg.php">Назад</a></div>';
}

elseif($tkr > 0)
{
echo "Логин занят, выберите другой!<br/>";
echo "<a href=\"save.php\">Назад</a><br/>"; include($path.'files/down.php');exit;
}
elseif($tem >= 1){
echo'<div class="block_zero center">E-mail занят!</div></div><div class="line"></div></div>';
echo'<div class="block_zero center"><a href="save.php">Назад</a></div>';
}
elseif($_POST[storona] == "")
{
echo "Вы оставили пустое поле!<br/>";
echo "<a href=\"save.php\">Назад</a><br/>"; include($path.'files/down.php');exit;
}
elseif($_POST[newpass] == "")
{
echo "Вы оставили пустое поле  пароль!<br/>";
echo "<a href=\"save.php\">Назад</a><br/>"; include($path.'files/down.php');exit;
}


elseif($_POST[newpass2] == "")
{
echo "Вы оставили пустое поле пароль еще раз!<br/>";
echo "<a href=\"save.php\">Назад</a><br/>"; include($path.'files/down.php');exit;
}
elseif($_POST[newpass] != $_POST[newpass2])
{
echo "пароли не совпадают!<br/>";
echo "<a href=\"save.php\">Назад</a><br/>"; include($path.'files/down.php');exit;
}


elseif (preg_match("/[^1-9a-zA-Z\-]+/", $_POST[newname])){echo"В нике обнаружены запрешенные знаки!<br />"; include($path.'files/down.php');exit; }

else{



$newpassmd5 = md5($_POST[newpass]);
mysql_query("UPDATE users SET storona='$_POST[storona]', pol='$_POST[pol]', pass='$newpassmd5', email='$email', activ='on', usr='$_POST[newname]'  WHERE usr = '$udata[usr]'");

mysql_query("INSERT INTO `mag` SET `usr` = '$_POST[newname]', `yarost` ='0', `bronya`='0', `vihr`='0',`stoika` ='0', `vihr2`= '0'");
mysql_query("INSERT INTO `set` SET `usr` = '$_POST[newname]', `datareg` = '$date', `email` = '$_POST[email]', `brauser` = '$brauser', `referer` = '".mysql_real_escape_string($otkuda)."' , `prim` = 'on', `arenainv`= '0', `invmax`= '0'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[newname]', `lat_name` = 'jelezo', `name` = 'Железо',`kol` = '1', `tip`='res', `cena`='10'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[newname]', `lat_name` = 'kamen', `name` = 'Камень',`kol` = '1', `tip`='res', `cena`='10'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[newname]', `lat_name` = 'nefrit',`name` = 'Нефрит', `kol` = '1', `tip`='res', `cena`='10'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[newname]', `lat_name` = 'obsidian',`name` = 'Обсидиан', `kol` = '1', `tip`='res', `cena`='10'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[newname]', `lat_name` = 'serebro',`name` = 'Оникс', `kol` = '1', `tip`='res', `cena`='10'");
mysql_query("INSERT INTO `mesto` SET `usr` = '$raand',`place` = 'main',`city` = '0'");
mysql_query("UPDATE clan SET lider='$_POST[newname]' WHERE lider = '$udata[usr]'");
mysql_query("UPDATE users SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE bank SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE bazar SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE clan SET lider='$_POST[newname]' WHERE lider = '$udata[usr]'");
mysql_query("UPDATE forum_msg SET login='$_POST[newname]' WHERE login = '$udata[usr]'");
mysql_query("UPDATE clanchat SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE item SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE item_aura SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE karma SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE komentarai SET nick='$_POST[newname]' WHERE nick = '$udata[usr]'");
mysql_query("UPDATE mag SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE mesto SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE msg_i SET user_from='$_POST[newname]' WHERE user_from = '$udata[usr]'");
mysql_query("UPDATE msg_r SET user_to='$_POST[newname]' WHERE user_to = '$udata[usr]'");
mysql_query("UPDATE msg_users SET contact='$_POST[newname]' WHERE contact = '$udata[usr]'");
mysql_query("UPDATE pit SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE pit SET lord='$_POST[newname]' WHERE lord = '$udata[usr]'");
mysql_query("UPDATE pit_item SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE pk SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE regenerator SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE sklad SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE userquests SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE user_kill SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
mysql_query("UPDATE aurs SET usr='$_POST[newname]' WHERE usr = '$udata[usr]'");
/*mysql_query("INSERT INTO
`aurs` SET
`usr` = '$_POST[newname]',
`actimer` = '$actime'");

mysql_query("INSERT INTO
`item_aura` SET
`usr` = '$_POST[newname]',
`name` = 'Бонус новичка(+50 силы и защиты)',
`cena` = '15',
`sila` = '50',
`protect` = '50',
`actime` = '86400',
`status` = '1',
`kol` = '1'");
*/






$_SESSION['log'] = $_POST[newname];
$_SESSION['pas'] = $newpassmd5;




echo'Вы сохранены!<br/><a href="/">Продолжить</a><br/>';
}
}}}

break;
















}
include($path.'files/down.php');
?>
